Index: /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Country.java
===================================================================
--- /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Country.java	(revision 3)
+++ /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Country.java	(revision 4)
@@ -59,8 +59,8 @@
     private String name;
     
-    @OneToMany(mappedBy = "citizenshipId", fetch = FetchType.LAZY)
+    @OneToMany(mappedBy = "citizenship", fetch = FetchType.LAZY)
     private List<UserDetail> userDetailListByCitizenship;
     
-    @OneToMany(mappedBy = "residentcountryId", fetch = FetchType.LAZY)
+    @OneToMany(mappedBy = "residentcountry", fetch = FetchType.LAZY)
     private List<UserDetail> userDetailListByResidentCountry;
 
Index: /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Grouping.java
===================================================================
--- /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Grouping.java	(revision 3)
+++ /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Grouping.java	(revision 4)
@@ -69,7 +69,7 @@
     @Column(name = "DISPLAY")
     private String display;
-    @OneToMany(cascade = CascadeType.ALL, mappedBy = "groupId", fetch = FetchType.LAZY)
+    @OneToMany(cascade = CascadeType.ALL, mappedBy = "group", fetch = FetchType.LAZY)
     private List<UserGroup> userGroupList;
-    @OneToMany(cascade = CascadeType.ALL, mappedBy = "groupId", fetch = FetchType.LAZY)
+    @OneToMany(cascade = CascadeType.ALL, mappedBy = "group", fetch = FetchType.LAZY)
     private List<GroupOperation> groupOperationList;
 
Index: /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Operation.java
===================================================================
--- /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Operation.java	(revision 3)
+++ /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Operation.java	(revision 4)
@@ -55,5 +55,5 @@
     @Column(name = "WHAT")
     private String what;
-    @OneToMany(cascade = CascadeType.ALL, mappedBy = "operationId", fetch = FetchType.LAZY)
+    @OneToMany(cascade = CascadeType.ALL, mappedBy = "operation", fetch = FetchType.LAZY)
     private List<GroupOperation> groupOperationList;
 
Index: /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Status.java
===================================================================
--- /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Status.java	(revision 3)
+++ /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/Status.java	(revision 4)
@@ -59,5 +59,5 @@
     @Column(name = "DISPLAY")
     private String display;
-    @OneToMany(cascade = CascadeType.ALL, mappedBy = "statusId", fetch = FetchType.LAZY)
+    @OneToMany(cascade = CascadeType.ALL, mappedBy = "status", fetch = FetchType.LAZY)
     private List<User> userList;
 
Index: /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/User.java
===================================================================
--- /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/User.java	(revision 3)
+++ /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/User.java	(revision 4)
@@ -79,11 +79,11 @@
     @Temporal(TemporalType.TIMESTAMP)
     private Date validity;
-    @OneToMany(cascade = CascadeType.ALL, mappedBy = "userId", fetch = FetchType.LAZY)
+    @OneToMany(cascade = CascadeType.ALL, mappedBy = "user", fetch = FetchType.LAZY)
     private List<UserGroup> userGroupList;
-    @OneToOne(cascade = CascadeType.ALL, mappedBy = "userId", fetch = FetchType.LAZY)
+    @OneToOne(cascade = CascadeType.ALL, mappedBy = "user", fetch = FetchType.LAZY)
     private UserDetail userDetail;
     @JoinColumn(name = "STATUS_ID", referencedColumnName = "ID")
     @ManyToOne(optional = false, fetch = FetchType.LAZY)
-    private Status statusId;
+    private Status status;
 
     public User() {
@@ -167,10 +167,10 @@
     }
 
-    public Status getStatusId() {
-        return statusId;
-    }
-
-    public void setStatusId(Status statusId) {
-        this.statusId = statusId;
+    public Status getStatus() {
+        return status;
+    }
+
+    public void setStatus(Status status) {
+        this.status = status;
     }
 
Index: /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/UserDetail.java
===================================================================
--- /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/UserDetail.java	(revision 3)
+++ /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/UserDetail.java	(revision 4)
@@ -38,5 +38,5 @@
     @NamedQuery(name = "UserDetail.findByZip", query = "SELECT u FROM UserDetail u WHERE u.zip = :zip"),
     @NamedQuery(name = "UserDetail.findByAffiliation", query = "SELECT u FROM UserDetail u WHERE u.affiliation = :affiliation"),
-    @NamedQuery(name = "UserDetail.findByPhone", query = "SELECT u FROM UserDetail u WHERE u.phone = :phone"),
+    @NamedQuery(name = "UserDetail.findByTelephone", query = "SELECT u FROM UserDetail u WHERE u.telephone = :telephone"),
     @NamedQuery(name = "UserDetail.findByOtheremails", query = "SELECT u FROM UserDetail u WHERE u.otheremails = :otheremails")})
 public class UserDetail implements Serializable {
@@ -75,11 +75,11 @@
     @JoinColumn(name = "USER_ID", referencedColumnName = "ID")
     @OneToOne(optional = false, fetch = FetchType.LAZY)
-    private User userId;
+    private User user;
     @JoinColumn(name = "CITIZENSHIP_ID", referencedColumnName = "ID")
     @ManyToOne(fetch = FetchType.LAZY)
-    private Country citizenshipId;
+    private Country citizenship;
     @JoinColumn(name = "RESIDENTCOUNTRY_ID", referencedColumnName = "ID")
     @ManyToOne(fetch = FetchType.LAZY)
-    private Country residentcountryId;
+    private Country residentcountry;
 
     public UserDetail() {
@@ -160,26 +160,26 @@
     }
 
-    public User getUserId() {
-        return userId;
-    }
-
-    public void setUserId(User userId) {
-        this.userId = userId;
-    }
-
-    public Country getCitizenshipId() {
-        return citizenshipId;
-    }
-
-    public void setCitizenshipId(Country citizenshipId) {
-        this.citizenshipId = citizenshipId;
-    }
-
-    public Country getResidentcountryId() {
-        return residentcountryId;
-    }
-
-    public void setResidentcountryId(Country residentcountryId) {
-        this.residentcountryId = residentcountryId;
+    public User getUser() {
+        return user;
+    }
+
+    public void setUser(User user) {
+        this.user = user;
+    }
+
+    public Country getCitizenship() {
+        return citizenship;
+    }
+
+    public void setCitizenship(Country citizenship) {
+        this.citizenship = citizenship;
+    }
+
+    public Country getResidentcountry() {
+        return residentcountry;
+    }
+
+    public void setResidentcountry(Country residentcountry) {
+        this.residentcountry = residentcountry;
     }
 
Index: /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/UserGroup.java
===================================================================
--- /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/UserGroup.java	(revision 3)
+++ /trunk/usersystem/usersystem-ejb/src/main/java/cn/ac/csns/csnsportal/usersystem/ejb/entity/UserGroup.java	(revision 4)
@@ -43,8 +43,8 @@
     @JoinColumn(name = "USER_ID", referencedColumnName = "ID")
     @ManyToOne(optional = false, fetch = FetchType.LAZY)
-    private User userId;
+    private User user;
     @JoinColumn(name = "GROUP_ID", referencedColumnName = "ID")
     @ManyToOne(optional = false, fetch = FetchType.LAZY)
-    private Grouping groupId;
+    private Grouping group;
 
     public UserGroup() {
@@ -71,18 +71,18 @@
     }
 
-    public User getUserId() {
-        return userId;
+    public User getUser() {
+        return user;
     }
 
-    public void setUserId(User userId) {
-        this.userId = userId;
+    public void setUser(User user) {
+        this.user = user;
     }
 
-    public Grouping getGroupId() {
-        return groupId;
+    public Grouping getGroup() {
+        return group;
     }
 
-    public void setGroupId(Grouping groupId) {
-        this.groupId = groupId;
+    public void setGroup(Grouping group) {
+        this.group = group;
     }
 
